@font-face {
  font-family: 'ZhengWen';
  font-display: swap;
  src: url('/font/NotoSans.ttf') format("truetype");  
}

@font-face {
  font-family: 'BiaoTi';
  font-display: swap;
  src: url('/font/NotoSerif.ttf') format("truetype");  
}

body {
    font-family: 'ZhengWen', 'Microsoft YaHei', sans-serif !important;
    -webkit-font-smoothing: antialiased;
}

/* 强制让文章页和全站标题使用 BiaoTi */
h1, h2, h3, h4, h5, h6, #site-title, #site-subtitle, .article-title {
    font-family: 'BiaoTi', 'Noto Serif SC', serif !important;
    letter-spacing: 0.05em;
    line-height: 1.5;
    font-weight: 700;
}

/* 3. 正文细节优化 */
#article-container {
    font-family: 'ZhengWen', sans-serif !important;
    line-height: 2 !important;
    letter-spacing: 0.02em;
    color: #4c4948;
}

/* 3. 英文数字美化 */
/* 自动为数字和英文选择更优雅的字体 */
body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
